org.apache.hc.core5.http.message

## Class BasicLineParser

- java.lang.Object
- - org.apache.hc.core5.http.message.BasicLineParser

- All Implemented Interfaces:
    LineParser
  Direct Known Subclasses:
    LazyLaxLineParser, LazyLineParser

      @Contract(threading=IMMUTABLE)
      public class BasicLineParser
      extends Object
      implements LineParser

  Default `LineParser` implementation.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BasicLineParser` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicLineParser()` Creates a new line parser for HTTP.
    `BasicLineParser(ProtocolVersion proto)` Creates a new line parser for the given HTTP-like protocol.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `parseHeader(CharArrayBuffer buffer)` Parses a header from the given buffer containing one line of text.
    `RequestLine` | `parseRequestLine(CharArrayBuffer buffer)` Parses a request line.
    `StatusLine` | `parseStatusLine(CharArrayBuffer buffer)` Parses a status line from the given buffer containing one line of text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final BasicLineParser INSTANCE

  - ### Constructor Detail

    - #### BasicLineParser

          public BasicLineParser(ProtocolVersion proto)

      Creates a new line parser for the given HTTP-like protocol.
      Parameters:
        `proto` - a version of the protocol to parse, or `null` for HTTP. The actual version is not relevant, only the protocol name.

    - #### BasicLineParser

          public BasicLineParser()

      Creates a new line parser for HTTP.

  - ### Method Detail

    - #### parseRequestLine

          public RequestLine parseRequestLine(CharArrayBuffer buffer)
                                       throws ParseException

      Parses a request line.
      Specified by:
        `parseRequestLine` in interface `LineParser`
      Parameters:
        `buffer` - a buffer holding the line to parse
      Returns:
        the parsed request line
      Throws:
        `ParseException` - in case of a parse error

    - #### parseStatusLine

          public StatusLine parseStatusLine(CharArrayBuffer buffer)
                                     throws ParseException

      Description copied from interface: `LineParser`
      Parses a status line from the given buffer containing one line of text.
      Specified by:
        `parseStatusLine` in interface `LineParser`
      Parameters:
        `buffer` - a buffer holding a line to parse
      Returns:
        the parsed status line
      Throws:
        `ParseException` - in case of a parse error

    - #### parseHeader

          public Header parseHeader(CharArrayBuffer buffer)
                             throws ParseException

      Description copied from interface: `LineParser`
      Parses a header from the given buffer containing one line of text. The full header line is expected here. Header continuation lines must be joined by the caller before invoking this method.
      Specified by:
        `parseHeader` in interface `LineParser`
      Parameters:
        `buffer` - a buffer holding the full header line.
      Returns:
        the header in the argument buffer.
      Throws:
        `ParseException` - in case of a parse error

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.